%define upstream_name       Authen-Krb5
%define upstream_version 1.906

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    XS bindings for Kerberos 5
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/authors/id/I/IO/IOANR/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(AutoLoader)
BuildRequires: perl(Carp)
BuildRequires: perl(Devel::CheckLib) >= 0.900.0
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(PkgConfig) >= 0.170.260
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: libkrb-devel
%description
XS bindings for Kerberos 5

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs='vendor' destdir=${RPM_BUILD_ROOT}/
./Build

%check
./Build test

%install
./Build install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO eg
%{perl_vendorarch}/Authen/*.pm
%{perl_vendorarch}/Authen/Krb5
%{perl_vendorarch}/auto/Authen/Krb5
%{_mandir}/man3/*

%changelog
* Sat Apr 12 2025 tv <tv> 1.906.0-1.mga10
+ Revision: 2174876
- update to 1.906
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.905.0-6.mga10
+ Revision: 2012274
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 1.905.0-5.mga9
+ Revision: 1875079
- Rebuild for perl-5.36

* Tue Mar 29 2022 umeabot <umeabot> 1.905.0-4.mga9
+ Revision: 1833010
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 1.905.0-3.mga8
+ Revision: 1606963
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Fri Feb 14 2020 umeabot <umeabot> 1.905.0-2.mga8
+ Revision: 1520317
- Mageia 8 Mass Rebuild

* Mon Nov 19 2018 bcornec <bcornec> 1.905.0-1.mga7
+ Revision: 1331715
- Use vendor for perl delivery instead of site
- Fix build deps
- Import Authen::Krb5 for mon contribs
- Created package structure for perl-Authen-Krb5.

